Get Contract Creator and Creation Tx Hash
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": [
{
"contractAddress": "0xcbdcd3815b5f975e1a2c944a9b2cd1c985a1cb7f",
"contractCreator": "0x3d080421c9dd5fb387d6e3124f7e1c241ade9568",
"txHash": "0xdce495a9261c4a2a5d4e879cfb55c060b4616a846d3425c441a9e31aa34c956f",
"blockNumber": "10720863",
"timestamp": "1598242563",
"contractFactory": "",
"creationBytecode": "0x602d3d8160093d39f3363d3d373d3d3d363d73c6cf0f044ba8ea402bfedf9e87b88bf1c008d1625af43d82803e903d91602b57fd5bf3"
}
]
}
Contracts
Get Contract Creator and Creation Tx Hash
Retrieve a contract’s deployer address and creation transaction.
GET
/
v2
/
api
Get Contract Creator and Creation Tx Hash
{
"status": "1",
"message": "OK",
"result": [
{
"contractAddress": "0xcbdcd3815b5f975e1a2c944a9b2cd1c985a1cb7f",
"contractCreator": "0x3d080421c9dd5fb387d6e3124f7e1c241ade9568",
"txHash": "0xdce495a9261c4a2a5d4e879cfb55c060b4616a846d3425c441a9e31aa34c956f",
"blockNumber": "10720863",
"timestamp": "1598242563",
"contractFactory": "",
"creationBytecode": "0x602d3d8160093d39f3363d3d373d3d3d363d73c6cf0f044ba8ea402bfedf9e87b88bf1c008d1625af43d82803e903d91602b57fd5bf3"
}
]
}
Authorizations
Your Etherscan API key.
Query Parameters
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
Set to contract for this endpoint.
Set to getcontractcreation for this endpoint.
Up to 5 contract addresses, separated by commas.
⌘I